<?php

/**
 * @file
 * Contains quiz_submission.page.inc.
 *
 * Page callback for Quiz Submission entities.
 */

use Drupal\Core\Render\Element;

/**
 * Prepares variables for Quiz Submission templates.
 *
 * Default template: quiz_submission.html.twig.
 *
 * @param array $variables
 *   An associative array containing:
 *   - elements: An associative array containing the user information and any
 *   - attributes: HTML attributes for the containing element.
 */
function template_preprocess_quiz_submission(array &$variables) {
  // Fetch QuizSubmission Entity Object.
  $quiz_submission = $variables['elements']['#quiz_submission'];

  // Helpful $content variable for templates.
  foreach (Element::children($variables['elements']) as $key) {
    $variables['content'][$key] = $variables['elements'][$key];
  }
}
